.sheet {
	.item-hints.koboldworks {
		/** Add spacing between all hints and the item name */
		display: inline-flex;
		gap: 1px 2px;
		align-items: center;
		align-self: center;
		flex-flow: row wrap;
		min-width: min-content;

		&:empty {
			display: none;
		}

		.hint {
			white-space: nowrap;

			&.tag {
				padding: 0 0.2em;
				border: 1px dotted rgba(95, 105, 115);
				border-radius: 5px 0 2px 0;
				background-color: rgba(0, 0, 0, 0.1);
				font-size: var(--font-size-11);
				line-height: 1.2;
			}

			.inline-roll,
			.inline-preroll {
				border-color: #0000005e;
				background-color: #ffffff61;
				color: black;
				border-radius: 7px;
				padding: 2px;
				padding-right: 0.3em;
			}

			color: rgb(26, 25, 24);
			margin: 0;
			/*line-height: unset;*/
			flex: 0;
		}

		.hint,
		i.icon,
		i.hint.icon {
			/**  Default background is transparent */
			background-color: transparent;
		}

		.hint {
			&:is(.no-action, .no-ammo-type, .damaged, .broken) {
				&.tag {
					background-color: rgba(255, 0, 0, 0.1);
				}

				&.icon {
					color: rgb(180, 21, 21);
					text-shadow: 0 0 2px white;
				}
			}

			&.masterwork {
				&.tag {
					background-color: rgba(255, 136, 0, 0.1);
				}

				&.icon {
					color: rgb(253, 182, 100);
					text-shadow: 0 0 2px black;

					// More diamond-like appearance
					//color: #ffffff;
					//text-shadow: 0 0 2px #000;
					//-webkit-text-stroke: 0.3px #3d8a8eb3;
				}
			}

			&.nonproficient {
				&.tag {
					background-color: #dda1a1;
					color: #fee;
				}
				&.icon {
					color: #9e0000c9;
					text-shadow: 0 0 3px #f5e2cd;
				}
			}

			&.dc {
				background-color: #816dff3b;
			}

			&.unidentified {
				&.tag {
					background-color: rgba(235, 0, 255, 0.1);
				}

				&.icon {
					color: rgb(148, 17, 180);
					text-shadow: 0 0 1px white;
				}
			}

			&.aura {
				background-color: rgba(100, 0, 255, 0.1);
			}

			&.enhancement {
				background-color: rgba(0, 174, 255, 0.2);
			}

			&.save {
				background-color: rgba(255, 0, 255, 0.1);
			}

			&.castcost,
			&.slotcost {
				background-color: #e9aaaa;

				&.free {
					text-shadow: 0 0 3px cornflowerblue;
				}
			}

			&.pointcost {
				background-color: lightsteelblue;
			}

			&.value {
				&.tag {
					background-color: rgb(234, 201, 163);
				}

				&.icon {
					color: rgb(250, 230, 105);
					text-shadow: 0 0 3px black;
				}
			}

			&.fcb {
				&.hp {
					background-color: rgba(190, 230, 180, 0.5);
				}

				&.skill {
					background-color: rgba(190, 210, 240, 0.5);
				}

				&.alt {
					background-color: rgba(230, 190, 240, 0.5);
				}
			}

			&.material {
				color: rgb(250, 230, 105);
				text-shadow: 0 0 2px black;
			}

			&.inconsistency {
				color: rgb(184, 17, 17);
				text-shadow: 0 0 2px white;
			}

			&.contextual {
				background-color: rgba(243, 208, 95, 0.4);
			}

			&.change {
				background-color: hsl(120deg 56.36% 89.22% / 60%);

				&.penalty {
					background-color: rgba(220, 90, 100, 0.4);
				}

				&.mixed {
					background-color: rgba(226, 136, 230, 0.4);
				}
			}

			&.script-call {
				&.tag {
					background-color: gold;
					color: black;
				}
				&.icon {
					color: peru;
					text-shadow: 0 0 1px white;
				}
			}

			&.error {
				background-color: hsl(0deg 49.86% 84.3% / 60%);
			}
		}

		img.hint.aura {
			margin: 0;
			margin-left: 3px;
			background-color: transparent;
			width: 16px;
			height: 16px;
			vertical-align: middle;
		}

		i.fas.fa-coins.hint {
			margin-left: 3px;
			margin-right: 2px;
		}

		i.fas.fa-coins.hint.icon.material {
			background-color: transparent;
		}
	}

	&.actor {
		.tab.spellbook {
			.spell-components {
				/* Pack components */
				/*justify-content: center;*/
				span {
					/* Unflex base components */
					flex: 0;
				}

				.item-hints.koboldworks {
					margin: 0;
					flex: 0;

					.hint.icon {
						margin: 0;

						&.material {
							margin-left: 3px;
						}
					}
				}
			}
		}

		.item-name {
			> h4 {
				//Ensure name visiblity
				white-space: normal;
			}

			&:not(.hint) {
				&.enhancement-1 {
					/** Faint */
					text-shadow: 0 2px 3px rgba(50, 120, 220, 0.3);
				}

				&.enhancement-2 {
					/** Moderate */
					text-shadow: 0 2px 5px rgba(50, 70, 200, 0.5);
				}

				&.enhancement-3 {
					/** Strong */
					text-shadow: 0 2px 7px rgba(50, 50, 180, 0.7);
				}
			}
		}
	}

	.item-hints.koboldworks .hint {
		/** Eliminate enhancement aura from the hint boxes */
		text-shadow: none;
	}

	&.item {
		.item-hints-editor {
			flex: 0;

			input.custom-hints {
				background-color: rgba(0, 0, 0, 0.05);
				border: 1px solid #7a7971;
				margin-top: 0.3em;
				margin-bottom: 0.5em;
			}

			h4 {
				font-weight: bold;
				border-bottom: 1px solid var(--color-underline-header);
			}
		}

		.tab[data-tab='advanced'] .item-hints {
			padding-bottom: 0.5em;

			/** Advanced tab */
			.help-text .info-symbol {
				margin-right: 0.3em;
			}

			h4 {
				font-weight: bold;
			}
		}
	}
}
